const IsTorExit = require(require("path").join(__dirname, "main.js"));

describe("Not exit nodes", () => {
  test("google", async (done) => {
    const result = await IsTorExit("216.58.206.110");
    expect(result).toBe(false);
    done();
  });

  test("facebook", async (done) => {
    const result = await IsTorExit("185.60.216.35");
    expect(result).toBe(false);
    done();
  });
});

describe("Exit nodes", () => {
  const ips = require("fs")
    .readFileSync(require("path").join(__dirname, "ips.txt"), {
      encoding: "utf8",
    })
    .split("\n")
    .map((line) => line.replace(/\r/g, "").trim())
    .filter((line) => line[0] != "#" && line)
    .slice(0, 100);
  for (const ip of ips) {
    test(
      ip,
      (done) => {
        IsTorExit(ip)
          .then((result) => expect(result).toBe(true))
          .then(done);
      },
      15000
    );
  }
});
